## Instalasi dan Implementasi Web API

1. Install python
2. Buka CMD atau Command-prompt
3. cd nama/folder/costapy (di copy)
4. Jalankan command ini di CMD:
```sh
py -m pip install --upgrade pip
py -m pip install bottle
py -m pip install beaker
py -m pip install mako
py -m pip install mysql-connector
py -m pip install bcrypt
py -m pip install pyjwt[crypto]
```
5. Buka folder project pake VSCode
6. Buka file di config/server.py
7. servernya ganti dari 'gunicorn' ke 'wsgiref' (di save)
8. di CMD jalanin service-nya: 
   Untuk Windows:
   ```dos
   cd C:\direktori\folder\kamu
   py costa.py
   ```
   Untuk Linux/MacOS:
   ```sh
   cd directory/folder/kamu
   python costapy
   ```
9. kalau keluar http://localhost:11000 artinya berhasil
10. Install bruno
11. bikin collection
12. test localhost:11000
13. Praktek ke VSCode

## Instalasi dan Implementasi MariaDB

### Instalasi

- Windows: Download dari mariadb.org atau dari xampp lalu install
- Mac: Install melalui brew
- Debian/Ubuntu: sudo apt install mariadb-server
- Alternative lain: Pakai container (Docker)

- terminal: mariadb -u root -p
- MySQL Client Command Prompt: Buka MySQL client lalu masukan password

### Implementasi (Di dalam MySQL Client)

1. CREATE DATABASE latihan;
2. USE latihan;
3. CREATE TABLE member (
   id int(11) not null auto_increment primary key,
   name varchar(36) not null,
   phone varchar(14) null
   );
4. SHOW COLUMNS FROM member;
5. INSERT INTO member VALUES (
   DEFAULT, 
   'Nama_Kalian', 
   'Telp_Kalian'
   );
6. SELECT * FROM member;
7. exit
